<?php
if(!function_exists('jps_bt_extra_fields')){
	function jps_bt_extra_fields($term_obj){
		$term_id = isset($term_obj->term_id)?$term_obj->term_id:'';
		$category_color = get_option("jps_category_color_$term_id")?get_option("jps_category_color_$term_id"):'';
		?>
        <tr class="form-field">  
        	<th scope="row" valign="top">
                <label for="jps_category_color"><?php echo __('<strong>JPS AJAX POST LAYOUT TERM/CATEGORY HOVER BACKGROUND COLOR</strong>', 'js_composer'); ?></label>
            </th>   
            <td>
                <input type="text" id="jps_category_color" name="jps_category_color" value="<?php echo $category_color;?>" class="jscolor {required:false} jscolor-active" autocomplete="off">
                <p class="description"><?php echo __('Choose background color of category tag name on items', 'js_composer'); ?></p>
            </td>
        </tr>
        <?php
	}
}
add_action('category_add_form_fields', 'jps_bt_extra_fields');
add_action('category_edit_form_fields', 'jps_bt_extra_fields');

if(!function_exists('save_jps_bt_extra_fields')){
	function save_jps_bt_extra_fields($term_id) {
		if(isset($_POST[sanitize_key('jps_category_color')])) {
			$category_color = $_POST['jps_category_color'];
			update_option( "jps_category_color_$term_id", $category_color);
		}
	}
}
add_action('edited_category', 'save_jps_bt_extra_fields', 10, 2);
add_action('created_category', 'save_jps_bt_extra_fields', 10, 2);