<?php

class Jumbo_Core {

	static function jumbo_get_module_categories() {

		if ( is_admin() === false ) {
			return;
		}

		$categories = get_categories(array(
			'hide_empty' => 0
			));

		$categories_array = array();
		$categories_array[0] = esc_html__( 'All Categories', 'jumbo' );

		foreach ( $categories as $category ) {
			$categories_array[$category->term_id] = $category->name;
		}

		return $categories_array;

	} // end of function jumbo_get_module_categories

} // end of class class Jumbo_Core


// example of use to call above function in other file: $this->module_id = Jumbo_Core::some_function();