<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}

/*----------------------------------------------------------------------------------------------------------
	ARCHIVE TEMPLATE - WE USE PHP COMMENTS INSTEAD OF HTML, TO REDUCE THE PAGE SIZE.
-----------------------------------------------------------------------------------------------------------*/

get_header(); ?>

<div id="content-archive" class="<?php echo implode( ' ', jumbo_get_content_classes() ); ?>">

	<?php $td_cat_style  = jumbo_get_option( 'td_cat_layout2' ); // category layout ?>
	<?php // add fit class to the left posts
	add_filter( 'post_class', function( $classes ) {
		static $instance = 0;

		if( in_the_loop() )
			$classes[] = ( 0 === $instance++ % 2 ) ? 'grid col-340' : 'grid col-340 fit';

		return $classes;
	});
	?>
	<?php if( have_posts() ) : ?>

	<?php get_template_part( 'loop-header' ); ?>
	<?php echo category_description(); ?>
	<?php jumbo_ad_top(); //  hooks for display the ad on top ?>

<?php if ( function_exists( 'quads_ad' ) ) {
	echo '<div class="ad-paragraph">';
      echo quads_ad( array('location' => 'toparchive') ); // show the header ad
      echo '</div>';
  }
  ?>

	<?php while( have_posts() ) : the_post(); ?>
	<?php jumbo_entry_before(); ?>


	<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

		<?php jumbo_entry_top(); ?>
		<?php if( $td_cat_style != 'td_cat_2' ) : ?>
		<?php get_template_part( 'archive-meta' ); ?>
		<?php endif; ?>


		<div class="post-entry">

		<?php if( $td_cat_style == 'td_cat_2' ) : ?>
		<?php get_template_part( 'post-img-cat' ); // big slider image ?>
		<div class="td-cat-2">
		<?php get_template_part( 'archive-meta-cat' ); ?>
		</div>

		<?php else: ?>
		<?php jumbo_featured_image(); ?>
		<?php endif; ?>

		<?php

			$td_limit = jumbo_get_option( 'td_excerpts_length' );
			echo jumbo_global_excerpt( $td_limit );


		wp_link_pages( array( 'before' => '<div class="pagination">' . __jumbo_translate( 'pages'), 'after' => '</div>' ) ); ?>
	</div><?php // end of .post-entry / ?>

		<?php jumbo_entry_bottom(); ?>

	</div><?php // end of #post-the_ID(); / ?>

	<?php jumbo_entry_after(); ?>

	<?php
	endwhile;
	get_template_part( 'loop-nav' );
	else :
		get_template_part( 'loop-no-posts' );
	endif;
	?>

	<?php jumbo_ad_bottom(); //  hooks for display ad on bottom ?>
<?php if ( function_exists( 'quads_ad' ) ) {
	echo '<div class="ad-paragraph">';
      echo quads_ad( array('location' => 'bottomarchive') ); // show the header ad
      echo '</div>';
  }
  ?>
</div><?php // end of #content-archive / ?>

<?php get_sidebar(); ?>
<?php get_footer(); ?>