<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}

/*----------------------------------------------------------------------------------------------------------
	AUTHOR TEMPLATE - WE USE PHP COMMENTS INSTEAD OF HTML, TO REDUCE THE PAGE SIZE.
-----------------------------------------------------------------------------------------------------------*/

get_header(); ?>

<div id="content-author" class="<?php echo implode( ' ', jumbo_get_content_classes() ); ?>">

	<?php if( have_posts() ) : ?>

	<?php get_template_part( 'loop-header' ); ?>
	<?php jumbo_ad_top(); //  hooks for display the ad on top ?>


	<?php  if( !function_exists( 'wpsabox_author_box' ) and get_the_author_meta( 'description' ) != '' and jumbo_get_option( 'td_post_author_box' ) == 1 ) : ?>
	<div id="author-meta">
		<?php if( function_exists( 'get_avatar' ) ) {
			echo get_avatar( get_the_author_meta( 'user_email' ), '100' );
		} ?>
		<div class="about-author"><?php the_author_posts_link(); ?></div>
		<div class="author-page-desc vcard author"><span class="fn"><?php the_author_meta( 'description' ) ?></span></div>
		<div class="website-author"><a href="<?php echo get_the_author_meta( 'user_url' ); ?>" target="_blank"><?php echo get_the_author_meta( 'user_url' ); ?></a></div>

		<div class="clearfix"></div>

	</div><?php // end of #author-meta / ?>

<?php endif; // no description, no author's meta ?>

<?php if ( function_exists( 'wpsabox_author_box' ) ) echo wpsabox_author_box(); // Our Simple Author Box plugin ?>


	<?php while( have_posts() ) : the_post(); ?>
	<?php jumbo_entry_before(); ?>

	<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

		<?php jumbo_entry_top(); ?>
		<?php get_template_part( 'archive-meta' ); ?>

		<div class="post-entry">
			<?php
			jumbo_featured_image();

				$td_limit = jumbo_get_option( 'td_excerpts_length' );
				echo jumbo_global_excerpt( $td_limit );

			wp_link_pages( array( 'before' => '<div class="pagination">' . __jumbo_translate( 'pages' ), 'after' => '</div>' ) );
			?>

		</div><?php // end of .post-entry / ?>

		<?php jumbo_entry_bottom(); ?>

	</div><?php // end of #post-the_ID(); / ?>

	<?php jumbo_entry_after(); ?>

	<?php
	endwhile;
	get_template_part( 'loop-nav' );
	else :
		get_template_part( 'loop-no-posts' );
	endif;
	?>

</div><?php // end of #content-author / ?>

<?php get_sidebar(); ?>
<?php get_footer(); ?>