<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}

/*----------------------------------------------------------------------------------------------------------
	Template Name: Classic Blog
-----------------------------------------------------------------------------------------------------------*/

get_header();
?>

<div id="content-blog" class="<?php echo implode( ' ', jumbo_get_content_classes() ); ?> td-blog-layout-home">

	<?php get_template_part( 'loop-header' ); ?>
	<?php get_template_part( 'post-meta-page' ); ?>

	<?php
	jumbo_wp_query_var();
	jumbo_paged_var();

	if( get_query_var( 'paged' ) ) {
		$paged = get_query_var( 'paged' );
	}
	elseif( get_query_var( 'page' ) ) {
		$paged = get_query_var( 'page' );
	}
	else {
		$paged = 1;
	}
	$blog_query = new WP_Query( array( 'post_type' => 'post', 'paged' => $paged ) );
	$temp_query = $wp_query;
	$wp_query = null;
	$wp_query = $blog_query;

	if( $blog_query->have_posts() ) :

		while( $blog_query->have_posts() ) : $blog_query->the_post();
			?>

			<?php jumbo_entry_before(); ?>
			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

				<?php jumbo_entry_top(); ?>
				<?php get_template_part( 'blog-meta' ); ?>

				<div class="post-entry">
					<div class="featured-image">

						<a href="<?php the_permalink() ?>" rel="bookmark">
							<?php the_post_thumbnail( 'jumbo-full-featured' ); ?>
						</a>
					</div>

					<?php

						the_excerpt();

					wp_link_pages( array( 'before' => '<div class="pagination">' . __jumbo_translate( 'pages' ), 'after' => '</div>' ) );
					?>
				</div><?php // end of .post-entry / ?>
				<?php get_template_part( 'post-data' ); ?>
				<?php jumbo_entry_bottom(); ?>

			</div><?php // end of #post-the_ID(); / ?>

			<?php jumbo_entry_after(); ?>

			<?php
			endwhile;
			get_template_part( 'loop-nav' );
			else :
				get_template_part( 'loop-no-posts' );
			endif;
			$wp_query = $temp_query;
			wp_reset_postdata();
			?>

</div><?php // end of #content-blog / ?>

<?php get_sidebar(); ?>
<?php get_footer(); ?>