<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}

/*----------------------------------------------------------------------------------------------------------
	COMMENTS TEMPLATE - WE USE PHP COMMENTS INSTEAD OF HTML, TO REDUCE THE PAGE SIZE.
-----------------------------------------------------------------------------------------------------------*/

?>
<?php
// remove comments on pages or posts
if ( is_page() ) {
	$td_comments_disabled = jumbo_get_option( 'td_disable_comments_pages' );
}

if ( is_single() ) {
$td_comments_disabled = jumbo_get_option( 'td_disable_comments_posts' );
}

if( $td_comments_disabled == 1 ) { ?>

<?php if( post_password_required() ) { ?>
	<p class="nocomments"><?php echo __jumbo_translate( 'password_protected' ); ?></p>
	<?php return;
} ?>

<?php if( comments_open() and have_comments() ) : ?>
	<div class="clearfix"></div>
	<div class="widget-title">
		<h3 id="comments">
			<?php comments_number( __jumbo_translate( 'no_comments' ), __jumbo_translate( 'one_comment' ), __jumbo_translate( 'comments_number' ) ); ?>
			</h3>
		</div>

	<?php if( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
		<div class="navigation">

			<div class="previous"><?php previous_comments_link( __jumbo_translate( 'previous_comments_link' ) ); ?>
			</div><?php // end of .previous / ?>

			<div class="next"><?php next_comments_link( __jumbo_translate( 'next_comments_link' ) ); ?>
			</div><?php // end of .next  / ?>

		</div><?php // end of.navigation / ?>

	<?php endif; ?>

	<ol class="commentlist">
		<?php wp_list_comments( 'avatar_size=50&type=comment' ); ?>
	</ol>

	<?php if( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
		<div class="navigation">
			<div class="previous"><?php previous_comments_link( __jumbo_translate( 'previous_comments_link' ) ); ?>
			</div><?php // end of .previous / ?>

			<div class="next"><?php next_comments_link( __jumbo_translate( 'next_comments_link' ) ); ?>
			</div><?php // end of .next  / ?>

		</div><?php // end of.navigation / ?>

	<?php endif; ?>

<?php elseif ( comments_open() and get_comments_number() == 0 ) : ?>
<div class="clearfix"></div>
<div class="widget-title">
		<h3 id="comments">
			<?php echo __jumbo_translate( 'no_comments' ); ?>
			</h3>
		</div>

<?php else: ?>
<?php // nothing to show / ?>
<?php endif; ?>


<?php if( comments_open() ) : ?>

	<?php

	$fields = array(
		'author' => '<p class="comment-form-author">' . ( $req ? '' : '' ) .
		'<input id="author" name="author" type="text" placeholder="' . __jumbo_translate( 'comment_name' ) . '"  value="' . esc_attr( $commenter['comment_author'] ) . '" size="30" /></p>',

		'email'  => '<p class="comment-form-email">' . ( $req ? '' : '' ) .
		'<input id="email" name="email" type="text" placeholder="' .  __jumbo_translate( 'comment_email' ) . '" value="' . esc_attr( $commenter['comment_author_email'] ) . '" size="30" /></p>',

		'url'    => '<p class="comment-form-url">' .
		'<input id="url" name="url" type="text" placeholder="' .  __jumbo_translate( 'comment_website' ) . '" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" /></p>',

	);

	$defaults = array( 'fields' => apply_filters( 'comment_form_default_fields', $fields ) );
	$defaults['comment_field'] = '<p><textarea class="needsclick" placeholder="' . __jumbo_translate( 'your_comment' ) . '" id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea></p>';
	$defaults['comment_notes_before'] = '';
	$defaults['comment_notes_after'] = '';

	comment_form( $defaults );


	?>

<?php endif; ?>
<?php } // end remove comments on all posts