<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}

/*----------------------------------------------------------------------------------------------------------
	Template Name:  Full Width Page (no sidebar)
-----------------------------------------------------------------------------------------------------------*/

get_header(); ?>

<div id="content-full" class="module-1-3columns grid col-1116">

	<?php if( have_posts() ) : ?>
		<?php while( have_posts() ) : the_post(); ?>
			<?php get_template_part( 'loop-header' ); ?>
			<?php jumbo_entry_before(); ?>

			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

				<?php jumbo_entry_top(); ?>

				<div class="post-entry">
					<?php the_content( __jumbo_translate( 'read_more') ); ?>
					<?php wp_link_pages( array( 'before' => '<div class="pagination">' . __jumbo_translate( 'pages'), 'after' => '</div>' ) ); ?>
				</div><?php // end of .post-entry / ?>
				<?php jumbo_entry_bottom(); ?>

			</div><?php // end of #post-the_ID(); / ?>

			<?php jumbo_entry_after(); ?>
			<?php jumbo_comments_before(); ?>
			<?php comments_template( '', true ); ?>
			<?php jumbo_comments_after(); ?>

			<?php
			endwhile;
			get_template_part( 'loop-nav' );
			else :
				get_template_part( 'loop-no-posts' );
			endif;
			?>

</div><?php // end of #content-full / ?>

<?php get_footer(); ?>