<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}

/*----------------------------------------------------------------------------------------------------------
	BLOG TEMPLATE - WE USE PHP COMMENTS INSTEAD OF HTML, TO REDUCE THE PAGE SIZE.
-----------------------------------------------------------------------------------------------------------*/

get_header();
?>
<div id="content-blog" class="<?php echo implode( ' ', jumbo_get_content_classes() ); ?> td-blog-layout-home">

	<?php get_template_part( 'loop-header' ); ?>

	<?php if( have_posts() ) : ?>
	<?php jumbo_ad_top(); //  hooks for display the ad on top ?>
	<?php while( have_posts() ) : the_post(); ?>

	<?php jumbo_entry_before(); ?>
	<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

		<?php jumbo_entry_top(); ?>
		<?php get_template_part( 'blog-meta' ); ?>

		<div class="post-entry">
			<a href="<?php the_permalink() ?>">
				<?php echo get_the_post_thumbnail($post->ID, 'jumbo-featured-image'); ?>
			</a>
			<?php
			the_excerpt();

			wp_link_pages( array( 'before' => '<div class="pagination">' . __jumbo_translate( 'pages'), 'after' => '</div>' ) ); ?>

		</div><?php // end of .post-entry / ?>

		<?php jumbo_entry_bottom(); ?>

	</div><?php // end of #post-the_ID(); / ?>

	<?php jumbo_entry_after(); ?>

	<?php
	endwhile;
	get_template_part( 'loop-nav' );
	else :
		get_template_part( 'loop-no-posts' );
	endif;
	?>

	<?php jumbo_ad_bottom(); //  hooks for display ad on bottom ?>

</div><?php // end of #content-blog / ?>

<?php get_sidebar(); ?>
<?php get_footer(); ?>