<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}

/*----------------------------------------------------------------------------------------------------------
	THEME'S ACTION HOOKS
-----------------------------------------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------------------------------------
	Just after opening <body> tag in header.php
-----------------------------------------------------------------------------------------------------------*/
function jumbo_container() {
	do_action( 'jumbo_container' );
}


/*----------------------------------------------------------------------------------------------------------
	Just after closing </div><!-- end of #container --> footer.php
-----------------------------------------------------------------------------------------------------------*/
function jumbo_container_end() {
	do_action( 'jumbo_container_end' );
	tha_footer_before();
}


/*----------------------------------------------------------------------------------------------------------
	Just after opening <div id="container"> in header.php
-----------------------------------------------------------------------------------------------------------*/
function jumbo_header() {
	do_action( 'jumbo_header' );
	tha_header_before();
}

/*----------------------------------------------------------------------------------------------------------
	Just after opening <div id="header"> in header.php
-----------------------------------------------------------------------------------------------------------*/
function jumbo_header_top() {
	do_action( 'jumbo_header_top' );
	tha_header_top();
}

/*----------------------------------------------------------------------------------------------------------
	On top of boxed-logo-ad.php
-----------------------------------------------------------------------------------------------------------*/
function jumbo_in_header() {
	do_action( 'jumbo_in_header' );
}

/*----------------------------------------------------------------------------------------------------------
	Just after closing </div><!-- end of #header --> in header.php
-----------------------------------------------------------------------------------------------------------*/
function jumbo_header_bottom() {
	do_action( 'jumbo_header_bottom' );
	tha_header_bottom();
}

/*----------------------------------------------------------------------------------------------------------
	Just after closing </div><!-- end of #header --> in header.php
-----------------------------------------------------------------------------------------------------------*/
function jumbo_header_end() {
	do_action( 'jumbo_header_end' );
	tha_header_after();
}

/*----------------------------------------------------------------------------------------------------------
	Just before opening <div id="wrapper"> in header.php
-----------------------------------------------------------------------------------------------------------*/
function jumbo_wrapper() {
	do_action( 'jumbo_wrapper' );
	tha_content_before();
}

/*----------------------------------------------------------------------------------------------------------
	Just after opening <div id="wrapper"> in header.php
-----------------------------------------------------------------------------------------------------------*/
function jumbo_wrapper_top() {
	do_action( 'jumbo_wrapper_top' );
	tha_content_top();
}

/*----------------------------------------------------------------------------------------------------------
	Just after opening <div id="wrapper"> in header.php
-----------------------------------------------------------------------------------------------------------*/
function jumbo_in_wrapper() {
	do_action( 'jumbo_in_wrapper' );
}

/*----------------------------------------------------------------------------------------------------------
	Just before closing </div><!-- end of #wrapper --> in footer.php
-----------------------------------------------------------------------------------------------------------*/
function jumbo_wrapper_bottom() {
	do_action( 'jumbo_wrapper_bottom' );
	tha_content_bottom();
}


/*----------------------------------------------------------------------------------------------------------
	Just after closing </div><!-- end of #wrapper --> in footer.php
-----------------------------------------------------------------------------------------------------------*/
function jumbo_wrapper_end() {
	do_action( 'jumbo_wrapper_end' );
	tha_content_after();
}

/*----------------------------------------------------------------------------------------------------------
	Just before <div id="post"> in most templete files
-----------------------------------------------------------------------------------------------------------*/
function jumbo_entry_before() {
	do_action( 'jumbo_entry_before' );
	tha_entry_before();
}

/*----------------------------------------------------------------------------------------------------------
	Just after <div id="post"> in most templete files
-----------------------------------------------------------------------------------------------------------*/
function jumbo_entry_top() {
	do_action( 'jumbo_entry_top' );
	tha_entry_top();
}

/*----------------------------------------------------------------------------------------------------------
	Just before </div> <!-- end of div#post --> in most templete files
-----------------------------------------------------------------------------------------------------------*/
function jumbo_entry_bottom() {
	do_action( 'jumbo_entry_bottom' );
	tha_entry_bottom();
}

/*----------------------------------------------------------------------------------------------------------
	Just after </div> <!-- end of div#post --> in most templete files
-----------------------------------------------------------------------------------------------------------*/
function jumbo_entry_after() {
	do_action( 'jumbo_entry_after' );
	tha_entry_after();
}


/*----------------------------------------------------------------------------------------------------------
	Responsive ads - just before posts in archive.php, home.php, adsense.php and other-ads.php
-----------------------------------------------------------------------------------------------------------*/
function jumbo_ad_top() {
	do_action( 'jumbo_ad_top' );
	tha_ad_top();
}

/*----------------------------------------------------------------------------------------------------------
	Responsive ads - just after posts in archive.php, home.php, adsense.php and other-ads.php
-----------------------------------------------------------------------------------------------------------*/
function jumbo_ad_bottom() {
	do_action( 'jumbo_ad_bottom' );
	tha_ad_bottom();
}

/*----------------------------------------------------------------------------------------------------------
	Just before comments_template() in most templete files
-----------------------------------------------------------------------------------------------------------*/
function jumbo_comments_before() {
	do_action( 'jumbo_comments_before' );
	tha_comments_before();
}

/*----------------------------------------------------------------------------------------------------------
	Just after comments_template() in most templete files
-----------------------------------------------------------------------------------------------------------*/
function jumbo_comments_after() {
	do_action( 'jumbo_comments_after' );
	tha_comments_after();
}

/*----------------------------------------------------------------------------------------------------------
	In sidebar files
-----------------------------------------------------------------------------------------------------------*/
function jumbo_widgets_before() {
	do_action( 'jumbo_widgets_before' );
	tha_sidebars_before();
}

/*----------------------------------------------------------------------------------------------------------
	In sidebar files
-----------------------------------------------------------------------------------------------------------*/
function jumbo_widgets() {
	do_action( 'jumbo_widgets' );
	tha_sidebar_top();
}

/*----------------------------------------------------------------------------------------------------------
	In sidebar files
-----------------------------------------------------------------------------------------------------------*/
function jumbo_widgets_end() {
	do_action( 'jumbo_widgets_end' );
	tha_sidebar_bottom();
}

/*----------------------------------------------------------------------------------------------------------
	In sidebar files
-----------------------------------------------------------------------------------------------------------*/
function jumbo_widgets_after() {
	do_action( 'jumbo_widgets_after' );
	tha_sidebars_after();
}

/*----------------------------------------------------------------------------------------------------------
	Just after opening <div id="footer"> in footer.php
-----------------------------------------------------------------------------------------------------------*/
function jumbo_footer_top() {
	do_action( 'jumbo_footer_top' );
	tha_footer_top();
}

/*----------------------------------------------------------------------------------------------------------
	Just before closing </div><!-- end of #footer --> in footer.php
-----------------------------------------------------------------------------------------------------------*/
function jumbo_footer_bottom() {
	do_action( 'jumbo_footer_bottom' );
	tha_footer_bottom();
}

/*----------------------------------------------------------------------------------------------------------
	Just after closing </div><!-- end of #footer --> in footer.php
-----------------------------------------------------------------------------------------------------------*/
function jumbo_footer_after() {
	do_action( 'jumbo_footer_after' );
	tha_footer_after();
}