<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}

/*----------------------------------------------------------------------------------------------------------
	THEME VERSION CONTROL
-----------------------------------------------------------------------------------------------------------*/
?>
<?php
function jumbo_theme_data() {
	if( is_child_theme() ) {
		echo '<!-- ' . jumbo_get_theme_name() . ' ' . jumbo_get_theme_version() . ' -->' . "\n";
	}
}

add_action( 'wp_head', 'jumbo_theme_data' );


/*----------------------------------------------------
	GET THEME NAME
-----------------------------------------------------*/

function jumbo_get_theme_name() {
	$theme = wp_get_theme();

	return $theme->Name;
}


/*----------------------------------------------------
	GET THEME VERSION
-----------------------------------------------------*/

function jumbo_get_theme_version() {
	$theme = wp_get_theme();

	return $theme->Version;
}


/*----------------------------------------------------
	GET TEMPLATE NAME
-----------------------------------------------------*/

function jumbo_get_template_name() {
	$theme  = wp_get_theme();
	$parent = $theme->parent();
	if( $parent ) {
		$theme = $parent;
	}

	return $theme->Name;
}


/*----------------------------------------------------
	GET TEMPLATE VERSION
-----------------------------------------------------*/

function jumbo_get_template_version() {
	$theme  = wp_get_theme();
	$parent = $theme->parent();
	if( $parent ) {
		$theme = $parent;
	}

	return $theme->Version;
}