<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}

/*----------------------------------------------------------------------------------------------------------
	LOOP HEADER TEMPLATE-PART FILE
-----------------------------------------------------------------------------------------------------------*/

$td_archive_title = jumbo_get_option( 'td_archive_page_title' );
jumbo_post_var();
$author_id = $post->post_author;
jumbo_get_breadcrumb_lists(); // Display breadcrumb

 	if( is_category() || is_tag() || is_author() || is_date() ) {
 		?>
 		<div class="widget-title"><h1>
 			<?php
 			if( is_day() ) :
 				printf( __jumbo_translate( 'daily_archives' ), '<span>' . get_the_date() . '</span>' );
 			elseif( is_month() ) :
 				printf( __jumbo_translate( 'monthly_archives' ), '<span>' . get_the_date( 'F Y' ) . '</span>' );
 			elseif( is_year() ) :
 				printf( __jumbo_translate( 'yearly_archives' ), '<span>' . get_the_date( 'Y' ) . '</span>' );
  			elseif( is_author() ) :
 				echo '<h1 class="entry-title post-title">' . get_the_author_meta( 'display_name', $author_id ) . '</h1>';
 			else :
				single_cat_title();
			endif;
			?>
		</h1></div>
		<?php
}

if( is_search() ) { // Display Search information
	?>
	<h1 class="title-search-results"><?php printf( __jumbo_translate( 'search_results_for' ), '<span class="search-results-query">' . get_search_query() . '</span>' ); ?></h1>
	<?php
}