<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}

/*----------------------------------------------------------------------------------------------------------
	BOXED: FULL LOGO - WE USE PHP COMMENTS INSTEAD OF HTML, TO REDUCE THE PAGE SIZE.
-----------------------------------------------------------------------------------------------------------*/
?>
<?php jumbo_in_header(); // header hook ?>
<?php
$td_logo 		= jumbo_get_option( 'td_custom_logo_wide' );
$td_logo_alt 	= jumbo_get_option( 'td_custom_logo_alt' );
$td_logo_title 	= jumbo_get_option( 'td_custom_logo_title' );
$td_logo_link 	= jumbo_get_option( 'td_link_to_content' );

if ( $td_logo_link == 1 ) {
	$full_logo_link = home_url( '/' );
} else {
	$full_logo_link = '#td-sticky';
}

?>
<?php
// read the custom logo image if it's set
if( $td_logo && $td_logo != '' ) :
	?>
<div id="logo-full">
	<a href="<?php echo esc_url( $full_logo_link ); ?>"><img src="<?php echo esc_html( $td_logo ); ?>"  alt="<?php echo esc_attr( $td_logo_alt ); ?>" title="<?php echo esc_attr( $td_logo_title ); ?>" /></a>
</div><?php // end of #logo / ?>

<?php else : // show the text logo if the logo image isn't set ?>

	<div id="text-logo-full">
		<span class="site-name-full">
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" <?php echo esc_attr( $td_logo_title ); ?> rel="home"><?php esc_html( bloginfo( 'name' ) ); ?></a>
		</span>
		<span class="site-description"><?php esc_html( bloginfo( 'description' ) ) ; ?></span>
	</div><?php // end of #text-logo / ?>

<?php endif; ?>