<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}

/*----------------------------------------------------------------------------------------------------------
	BOXED: LOGO + AD - WE USE PHP COMMENTS INSTEAD OF HTML, TO REDUCE THE PAGE SIZE.
-----------------------------------------------------------------------------------------------------------*/
?>
<?php jumbo_in_header(); // header hook ?>
<?php
$td_logo 		= jumbo_get_option( 'td_custom_logo' );
$td_logo_alt 	= jumbo_get_option( 'td_custom_logo_alt' );
$td_logo_title 	= jumbo_get_option( 'td_custom_logo_title' );

if (!empty( $td_logo_title ) ) :
	$td_logo_title = $td_logo_title;
endif;
?>
<?php
// read the custom logo image if it's set
if( $td_logo && $td_logo != '' ) :
	?>
<div id="logo">
	<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_html( $td_logo ); ?>" width="250" height="100" alt="<?php echo esc_attr( $td_logo_alt ); ?>" title="<?php echo esc_attr( $td_logo_title ); ?>"  /></a>
</div><?php // end of #logo / ?>

<?php else : // show the text logo if the logo image isn't set ?>

	<div id="text-logo">
		<span class="site-name">
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" <?php echo esc_attr ($td_logo_title ); ?> rel="home"><?php esc_html( bloginfo( 'name' ) ); ?></a>
		</span>
		<span class="site-description"><?php esc_html( bloginfo( 'description' ) ); ?></span>
	</div><?php // end of #text-logo / ?>

<?php endif; ?>
<?php if ( function_exists( 'quads_ad' ) ) {
	echo '<div class="top-other-ad td-desktop top-ad">';
      echo quads_ad( array('location' => 'header') ); // show the header ad
      echo '</div>';
  }
  ?>