<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}

/*----------------------------------------------------------------------------------------------------------
	MEGA MENU POSTS - WE USE PHP COMMENTS INSTEAD OF HTML, TO REDUCE THE PAGE SIZE.
-----------------------------------------------------------------------------------------------------------*/
?>

<div class="td-mega-content">
	<article class="post-<?php the_ID(); ?> td-mega-posts">

		<?php $td_module_post_format = jumbo_post_format_icon(); ?>

		<?php if ( '' != get_the_post_thumbnail() ) : ?>
		<div class="mega-post-thumbnail">
			<a class="module-image" href="<?php the_permalink(); ?>">
				<?php the_post_thumbnail( 'jumbo-module-3' ); ?>
				<?php echo wp_kses_post( $td_module_post_format ); ?>
			</a>
		</div>
	<?php endif; ?>

	<div class="td-mega-posts-inner">

		<h3 class="entry-title">
			<a href="<?php the_permalink(); ?>">
				<?php echo get_the_title(); ?>
			</a>
		</h3>

		<div class="post-meta">
			<?php echo esc_attr( get_the_time('F j, Y') ); ?>
		</div>

	</div><?php // end of .td-mega-posts-inner ?>

</article>

</div><?php // end of .td-mega-content ?>