<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}

/*----------------------------------------------------------------------------------------------------------
	Template Name: Sitemap
-----------------------------------------------------------------------------------------------------------*/
?>
<?php get_header(); ?>

<div id="content-sitemap" class="grid col-1116">

	<?php get_template_part( 'loop-header' ); ?>
	<?php if( have_posts() ) : ?>
	<?php while( have_posts() ) : the_post(); ?>

	<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<h1 class="post-title"><?php the_title(); ?></h1>

		<div class="post-entry">
			<div id="widgets">
					<div class="grid col-340">
						<div class="widget-title"><h3><?php echo __jumbo_translate( 'categories' ); ?></h3></div>
						<ul><?php wp_list_categories( 'sort_column=name&optioncount=1&hierarchical=0&title_li=' ); ?></ul>
					</div><?php // end of .col-340 / ?>

					<div class="grid col-340">
						<div class="widget-title"><h3><?php echo __jumbo_translate( 'latest_posts' ); ?></h3></div>
						<ul><?php $archive_query = new WP_Query( 'posts_per_page=-1' );
						while( $archive_query->have_posts() ) : $archive_query->the_post(); ?>
						<li>
							<a href="<?php the_permalink() ?>" rel="bookmark"
								title="<?php printf( __jumbo_translate( 'permanent_link_to' ), the_title_attribute( 'echo=0' ) ); ?>"><?php the_title(); ?></a>
							</li>
						<?php endwhile; ?>
					</ul>
				</div><?php // end of .col-340 / ?>

				<div class="grid col-340 fit">
					<div class="widget-title"><h3><?php echo __jumbo_translate( 'pages' ); ?></h3></div>
					<ul><?php wp_list_pages( "title_li=" ); ?></ul>
				</div><?php // end of .col-340 fit / ?>
		</div><?php // end of #widgets / ?>
		<?php wp_link_pages( array( 'before' => '<div class="pagination">' . __jumbo_translate( 'pages'), 'after' => '</div>' ) ); ?>
	</div><?php // end of .post-entry / ?>

	<?php edit_post_link( __jumbo_translate( 'edit_post' ), '<div class="post-edit"> ', '</div>' ); ?>
</div><?php // end of #post-the_ID(); / ?>

<?php
endwhile;
get_template_part( 'loop-nav' );
else :
	get_template_part( 'loop-no-posts' );
endif;
?>

</div><?php // #content-sitemap / ?>

<?php get_footer(); ?>