<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}

/*----------------------------------------------------------------------------------------------------------
	FOOTER TEMPLATE - WE USE PHP COMMENTS INSTEAD OF HTML, TO REDUCE THE PAGE SIZE.
-----------------------------------------------------------------------------------------------------------*/

?>
<?php jumbo_wrapper_bottom(); // after wrapper content hook ?>
</div><?php // end of #wrapper / ?>

<?php jumbo_wrapper_end(); // after wrapper hook ?>
</div><?php // end of #container / ?>
<div id="td-sticky-stopper"></div><?php // sticky sidebar stopper / ?>
<?php jumbo_container_end(); // after container hook ?>
<?php

$td_colophone 			= jumbo_get_option( 'td_colophon_enable' );
$td_colophon_form 		= jumbo_get_option( 'td_colophon_form' );
$td_scroll_buttons 		= jumbo_get_option( 'td_scroll_buttons' );
$td_footer_logo 		= jumbo_get_option( 'td_footer_logo' );
$td_footer_copy 		= jumbo_get_option( 'td_copyright' );
$td_footer_middle 		= jumbo_get_option( 'td_footer_middle' );

?>

<div class="footer-wide">
	<div id="footer" class="clearfix">

		<?php jumbo_footer_top(); ?>

		<div id="footer-wrapper">

			<?php if( function_exists( 'mc4wp_show_form' ) and $td_colophon_form  ) : ?>
			<div class="colophon-wraper">

				<div class="colophon-module">

					<div class="grid col-1116">

							<div class="td-actionbox-text">
								<h3>
									<?php if( function_exists( 'mc4wp_show_form' ) ) : ?>
									<?php echo do_shortcode( $td_colophon_form ); ?>
									<?php endif; ?>
								</h3>
							</div>

					</div><?php // end of grid col-1116 / ?>

				</div><?php // end of colophon-module / ?>

			</div><?php // end of colophon-wraper / ?>
			<?php endif; ?>

			<?php get_sidebar( 'footer' ); ?>

<?php if( $td_footer_copy or $td_footer_logo or $td_footer_middle or  has_nav_menu( 'footer-menu', 'jumbo' ) ) : ?>

			<div class="footer-bottom">
				<div class="grid col-1116 block-bottom">
					<div class="block-bottom-padding">
						<div class="grid col-340">


							<?php
							$buffer = '';
							$url = home_url( '/' );

							if ( $td_footer_logo ) {
								$buffer .= '<div class="td-about-img">';
								$buffer .= '<div id="td-about-img-wrap">';
								$buffer .= '<a href="'. esc_url( $url ) . '"><img src="' . esc_url( $td_footer_logo ) . '" alt="" /></a>';
								$buffer .= '</div>';
								$buffer .= '</div>';
								 echo wp_kses_post( $buffer );
							} ?>

							<?php if( $td_footer_copy ): ?>
							<div class="copyright">
								<?php $copy = $td_footer_copy; ?>
								<?php echo esc_html( $copy ); ?>
							</div><?php // end of copyright / ?>
								<?php endif; ?>

						</div><?php // end of grid col-340 / ?>


						<div class="td-footer-middle grid col-340">

							<?php if( $td_footer_middle ): ?>
							<div class="copyright">
								<?php $footer_middle = $td_footer_middle;?>
								<?php echo wp_kses_post( $footer_middle );?>
							</div><?php // end of copyright / ?>
								<?php endif; ?>
						</div><?php // end of grid col-243 / ?>

						<div class="td-footer-last grid col-340 fit">
							<?php if( has_nav_menu( 'footer-menu', 'jumbo' ) ) : ?>
							<?php wp_nav_menu( array(
								'container'      => '',
								'fallback_cb'    => false,
								'menu_class'     => 'footer-menu',
								'theme_location' => 'footer-menu'
								)
							);
							?>
						<?php endif; ?>
						</div><?php // end of col-243 fit / ?>

					</div><?php // end of block-bottom-padding / ?>

				</div><?php // end of col-1116 block-bottom / ?>

			</div><?php // end of footer-bottom / ?>
		<?php endif; ?>

	</div><?php // end of #footer-wrapper / ?>

<?php jumbo_footer_bottom(); ?>

</div><?php // end of #footer / ?>

</div><?php // end of footer-wide / ?>
<?php if ( $td_scroll_buttons ) : ?>

<div class="scroll-up" id="scroll_up"></div>
<div class="scroll-down" id="scroll_down"></div>
<?php endif; ?>

<?php jumbo_footer_after(); ?>
<?php wp_footer(); ?>

</body>
</html>