<?php

/*----------------------------------------------------------------------------------------------------------
	Global array of translation strings
-----------------------------------------------------------------------------------------------------------*/

$td_translate = array(
	'read_more' 				=> array( 'string_text' => 'Read More', 'translated_words' => esc_html__( 'Read More' , 'jumbo' ) ),
	'pages' 					=> array( 'string_text' => 'Pages', 'translated_words' => esc_html__( 'Pages' , 'jumbo' ) ),
	'game_description' 			=> array( 'string_text' => 'Game Description', 'translated_words' => esc_html__( 'Game Description' , 'jumbo' ) ),
	'game_screens' 				=> array( 'string_text' => 'Game Screenshots', 'translated_words' => esc_html__( 'Game Screenshots' , 'jumbo' ) ),
	'how_to_play' 				=> array( 'string_text' => 'How to play', 'translated_words' => esc_html__( 'How to play' , 'jumbo' ) ),
	'play_now' 					=> array( 'string_text' => 'Play Now', 'translated_words' => esc_html__( 'Play Now' , 'jumbo' ) ),
	'latest' 					=> array( 'string_text' => 'latest', 'translated_words' => esc_html__( 'Latest' , 'jumbo' ) ),
	'popular' 					=> array( 'string_text' => 'popular', 'translated_words' => esc_html__( 'Popular' , 'jumbo' ) ),
	'hot' 						=> array( 'string_text' => 'hot', 'translated_words' => esc_html__( 'Hot' , 'jumbo' ) ),
	'fullscreen' 				=> array( 'string_text' => 'Fullscreen', 'translated_words' => esc_html__( 'Fullscreen' , 'jumbo' ) ),
	'no_comments'				=> array( 'string_text' => 'No Comments', 'translated_words' => esc_html__( 'No Comments' , 'jumbo' ) ),
	'one_comment' 				=> array( 'string_text' => '1 Comment', 'translated_words' => esc_html__( '1 Comment', 'jumbo' ) ),
	'comments_number' 			=> array( 'string_text' => '% Comments', 'translated_words' => esc_html__( '% Comments', 'jumbo' ) ),
	'previous_comments_link' 	=> array( 'string_text' => 'Older comments', 'translated_words' => esc_html__( 'Older comments', 'jumbo' ) ),
	'next_comments_link' 		=> array( 'string_text' => 'Newer comments', 'translated_words' => esc_html__( 'Newer comments', 'jumbo' ) ),
	'comment_name' 				=> array( 'string_text' => 'Name:', 'translated_words' => esc_html__( 'Name:', 'jumbo' ) ),
	'comment_email' 			=> array( 'string_text' => 'E-mail:', 'translated_words' => esc_html__( 'E-mail:', 'jumbo' ) ),
	'comment_website' 			=> array( 'string_text' => 'Website:', 'translated_words' => esc_html__( 'Website:', 'jumbo' ) ),
	'your_comment' 				=> array( 'string_text' => 'Comment:', 'translated_words' => esc_html__( 'Comment:', 'jumbo' ) ),
	'return_to' 				=> array( 'string_text' => 'Return to', 'translated_words' => esc_html__( 'Return to', 'jumbo' ) ),
	'tagged_with' 				=> array( 'string_text' => 'Tagged with:', 'translated_words' => esc_html__( 'Tagged with:', 'jumbo') ),
	'posted_in_img' 			=> array( 'string_text' => 'Posted in %s', 'translated_words' => esc_html__( 'Posted in %s', 'jumbo' ) ),
	'edit_img' 					=> array( 'string_text' => 'Edit', 'translated_words' => esc_html__( 'Edit', 'jumbo' ) ),
	'page_title' 				=> array( 'string_text' => 'Page %s', 'translated_words' => esc_html__( 'Page %s', 'jumbo' ) ),
	'view_all_posts_by' 		=> array( 'string_text' => 'View all posts by %s', 'translated_words' => esc_html__( 'View all posts by %s', 'jumbo' ) ),
	'post_tags' 				=> array( 'string_text' => 'Tags:', 'translated_words' => esc_html__( 'Tags:', 'jumbo' ) ),
	'share_it' 					=> array( 'string_text' => 'Share it!', 'translated_words' => esc_html__( 'Share it!', 'jumbo' ) ),
	'estimated_minute' 			=> array( 'string_text' => ' minute', 'translated_words' => esc_html__( ' minute', 'jumbo' ) ),
	'estimated_minutes' 		=> array( 'string_text' => ' minutes', 'translated_words' => esc_html__( ' minutes', 'jumbo' ) ),
	'estimated_second' 			=> array( 'string_text' => ' second', 'translated_words' => esc_html__( ' second', 'jumbo' ) ),
	'estimated_seconds' 		=> array( 'string_text' => ' seconds', 'translated_words' => esc_html__( ' seconds', 'jumbo' ) ),
	'you_may_also_like' 		=> array( 'string_text' => 'You may also like', 'translated_words' => esc_html__( 'You may also like', 'jumbo' ) ),
	'mobile_menu' 				=> array( 'string_text' => 'Mobile Menu', 'translated_words' => esc_html__( 'Mobile Menu', 'jumbo' ) ),
	'home_link' 				=> array( 'string_text' => 'Home', 'translated_words' => esc_html__( 'Home', 'jumbo' ) ),
	'archive_for' 				=> array( 'string_text' => 'Archive for %s', 'translated_words' => esc_html__( 'Archive for %s', 'jumbo' ) ),
	'search_results_for' 		=> array( 'string_text' => 'Search results for: %s', 'translated_words' => esc_html__( 'Search results for: %s', 'jumbo' ) ),
	'search' 					=> array( 'string_text' => 'Search', 'translated_words' => esc_html__( 'Search', 'jumbo' ) ),
	'posts_tagged' 				=> array( 'string_text' => 'Posts tagged %s', 'translated_words' => esc_html__( 'Posts tagged %s', 'jumbo' ) ),
	'view_all_posts_by' 		=> array( 'string_text' => 'View all posts by %', 'translated_words' => esc_html__( 'View all posts by %', 'jumbo' ) ),
	'error_404' 				=> array( 'string_text' => 'Error 404', 'translated_words' => esc_html__( 'Error 404', 'jumbo' ) ),
	'posted_on' 				=> array( 'string_text' => '<span class="%1$s">Posted on:</span>%2$s<span class="%3$s"> by </span>%4$s', 'translated_words' => wp_kses_post( __( '<span class="%1$s">Posted on:</span>%2$s<span class="%3$s"> by </span>%4$s', 'jumbo' ) ) ),
	'password_protected' 		=> array( 'string_text' => 'This post is password protected. Enter the password to view any comments.', 'translated_words' => esc_html__( 'This post is password protected. Enter the password to view any comments.' , 'jumbo' ) ),
	'daily_archives' 			=> array( 'string_text' => 'Daily Archives: %s', 'translated_words' => esc_html__( 'Daily Archives: %s', 'jumbo' ) ),
	'monthly_archives' 			=> array( 'string_text' => 'Monthly Archives: %s', 'translated_words' => esc_html__( 'Monthly Archives: %s', 'jumbo' ) ),
	'yearly_archives' 			=> array( 'string_text' => 'Yearly Archives: %s', 'translated_words' => esc_html__( 'Yearly Archives: %s', 'jumbo' ) ),
	'older_posts' 				=> array( 'string_text' => 'Older posts', 'translated_words' => esc_html__( 'Older posts', 'jumbo' ) ),
	'newer_posts' 				=> array( 'string_text' => 'Newer posts', 'translated_words' => esc_html__( 'Newer posts', 'jumbo' ) ),
	'your_search_for' 			=> array( 'string_text' => 'Your search for %s did not match any entries', 'translated_words' => esc_html__( 'Your search for %s did not match any entries', 'jumbo' ) ),
	'you_broke_it' 				=> array( 'string_text' => 'Grats. You broke it!', 'translated_words' => esc_html__( 'Grats. You broke it!', 'jumbo' ) ),
	'do_not_panic' 				=> array( 'string_text' => 'Do not panic, we willl get through this together. Here are our options:', 'translated_words' => esc_html__( 'Do not panic, we willl get through this together. Here are our options:', 'jumbo' ) ),
	'search_options' 			=> array( 'string_text' => 'You can return %s or search for the page you were looking for:', 'translated_words' => esc_html__( 'You can return %s or search for the page you were looking for:', 'jumbo' ) ),
	'to_home' 					=> array( 'string_text' => 'to Home', 'translated_words' => esc_html__( 'to Home', 'jumbo' ) ),
	'search_home_title' 		=> array( 'string_text' => 'Home', 'translated_words' => esc_html__( 'Home', 'jumbo' ) ),
	'head_search' 				=> array( 'string_text' => 'Search', 'translated_words' => esc_html__( 'Search', 'jumbo' ) ),
	'another_search' 			=> array( 'string_text' => 'You can do another search:', 'translated_words' => esc_html__( 'You can do another search:', 'jumbo' ) ),
	'edit_post' 				=> array( 'string_text' => 'Edit', 'translated_words' => esc_html__( 'Edit', 'jumbo' ) ),
	'posted_in_cat' 			=> array( 'string_text' => 'Posted in %s', 'translated_words' => esc_html__( 'Posted in %s', 'jumbo' ) ),
	'image_information' 		=> array( 'string_text' => 'Image Information', 'translated_words' => esc_html__( 'Image Information', 'jumbo' ) ),
	'full_size' 				=> array( 'string_text' => 'Full Size:', 'translated_words' => esc_html__( 'Full Size:', 'jumbo' ) ),
	'aperture' 					=> array( 'string_text' => 'Aperture: f&#47;', 'translated_words' => esc_html__( 'Aperture: f&#47;', 'jumbo' ) ),
	'focal_length' 				=> array( 'string_text' => 'Focal Length', 'translated_words' => esc_html__( 'Focal Length', 'jumbo' ) ),
	'mm' 						=> array( 'string_text' => 'mm', 'translated_words' => esc_html__( 'mm', 'jumbo' ) ),
	'iso' 						=> array( 'string_text' => 'ISO', 'translated_words' => esc_html__( 'ISO', 'jumbo' ) ),
	'shutter' 					=> array( 'string_text' => 'Shutter', 'translated_words' => esc_html__( 'Shutter', 'jumbo' ) ),
	'camera' 					=> array( 'string_text' => 'Camera', 'translated_words' => esc_html__( 'Camera', 'jumbo' ) ),
	'categories' 				=> array( 'string_text' => 'Categories', 'translated_words' => esc_html__( 'Categories', 'jumbo' ) ),
	'latest_posts' 				=> array( 'string_text' => 'Latest Posts', 'translated_words' => esc_html__( 'Latest Posts', 'jumbo' ) ),
	'permanent_link_to' 		=> array( 'string_text' => 'Permanent Link to %s', 'translated_words' => esc_html__( 'Permanent Link to %s', 'jumbo' ) )

	);

?>