<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}

/*----------------------------------------------------------------------------------------------------------
	INDEX TEMPLATE - WE USE PHP COMMENTS INSTEAD OF HTML, TO REDUCE THE PAGE SIZE.
-----------------------------------------------------------------------------------------------------------*/

get_header(); ?>

<div id="content" class="grid col-728">

	<?php if( have_posts() ) : ?>
	<?php while( have_posts() ) : the_post(); ?>
	<?php jumbo_entry_before(); ?>

	<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

		<?php jumbo_entry_top(); ?>
		<?php get_template_part( 'post-meta-page' ); ?>

		<div class="post-entry">
			<?php if ( '' != get_the_post_thumbnail() ) : // if( has_post_thumbnail() ) ?>
			<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
				<?php the_post_thumbnail(); ?>
			</a>
		<?php endif; ?>
		<?php the_content( __jumbo_translate( 'read_more') ); ?>
		<?php wp_link_pages( array( 'before' => '<div class="pagination">' . __jumbo_translate( 'pages'), 'after' => '</div>' ) ); ?>
	</div><?php // end of .post-entry / ?>

	<?php get_template_part( 'post-data' ); ?>
	<?php jumbo_entry_bottom(); ?>

</div><?php // end of #post-the_ID(); / ?>

<?php jumbo_entry_after(); ?>
<?php jumbo_comments_before(); ?>
<?php comments_template( '', true ); ?>
<?php jumbo_comments_after(); ?>

<?php
endwhile;
get_template_part( 'loop-nav' );
else :
	get_template_part( 'loop-no-posts' );
endif;
?>

</div><?php // end of #content grid col-728 / ?>

<?php get_sidebar(); ?>
<?php get_footer(); ?>