<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}

/*----------------------------------------------------------------------------------------------------------
	THE MAIN MENU OF THE THEME
-----------------------------------------------------------------------------------------------------------*/

$td_mega 		= jumbo_get_option( 'td_mega_menu' );
$td_search_menu = jumbo_get_option( 'td_menu_search' );

if ( $td_mega ) {
	echo '<div class="td-mega-wrap">';
	wp_nav_menu( array(
		'container'       => 'div',
		'container_class' => 'main-nav',
		'fallback_cb'     => '',
		'theme_location'  => 'main-menu',
		'walker' 		  => new Jumbo_Menu_Walker() // mega menu
		)
	);
	echo '</div>';

} else {
	wp_nav_menu( array(
		'container'       => 'div',
		'container_class' => 'main-nav',
		'fallback_cb'     => '',
		'theme_location'  => 'main-menu'
		)
	);
}

?>
<?php if ( $td_search_menu ) : ?>
<div class="menu-search-wrap">
	<div class="main-menu-search">

		<div id="search-container" class="click-search">
			<i class="fa fa-search"></i>
		</div>

		<div class="td-expand">
			<form role="search" method="get" class="td-search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
				<div class="menu-search-form-wrap">
					<input id="td-header-search"  placeholder="<?php echo __jumbo_translate( 'search' ); ?>" type="text" value="<?php echo esc_attr( get_search_query() ); ?>" name="s" /><input class="td-search-button button" type="submit" id="td-search-main-menu" value="<?php echo esc_attr( __jumbo_translate( 'head_search' ) ) ?>" />
				</div>
			</form>

		</div>
	</div>
</div>
<?php endif; ?>