<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}

/*----------------------------------------------------------------------------------------------------------
	SEARCH TEMPLATE - WE USE PHP COMMENTS INSTEAD OF HTML, TO REDUCE THE PAGE SIZE.
-----------------------------------------------------------------------------------------------------------*/

get_header(); ?>
<div id="content-search" class="<?php echo implode( ' ', jumbo_get_content_classes() ); ?>">

	<?php if( have_posts() ) : ?>
		<?php get_template_part( 'loop-header' ); ?>
		<?php while( have_posts() ) : the_post(); ?>
			<?php jumbo_entry_before(); ?>

			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

				<?php jumbo_entry_top(); ?>
				<?php get_template_part( 'blog-meta' ); ?>

				<div class="post-entry">
					<?php

						$td_limit = jumbo_get_option( 'td_excerpts_length' );
						echo jumbo_global_excerpt( $td_limit );

					wp_link_pages( array( 'before' => '<div class="pagination">' . __jumbo_translate( 'pages'), 'after' => '</div>' ) ); ?>
				</div><?php // end of .post-entry / ?>

				<?php jumbo_entry_bottom(); ?>

			</div><?php // end of  #post-the_ID(); / ?>
			<?php jumbo_entry_after(); ?>

			<?php
			endwhile;
			get_template_part( 'loop-nav' );
			else :
				get_template_part( 'loop-no-posts' );
			endif;
			?>

</div><?php // #content-search / ?>

<?php get_sidebar(); ?>
<?php get_footer(); ?>