<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}

/*----------------------------------------------------------------------------------------------------------
	Template Name:  Left Sidebar - Content
-----------------------------------------------------------------------------------------------------------*/
?>
<?php get_header(); ?>
<?php

$td_static_page_title	= jumbo_get_option( 'td_static_page_title' );
$td_page_exclude_title	= jumbo_get_option( 'td_static_page_exclude_title' );
$td_page_exclude_title 	= explode(',',$td_page_exclude_title); //break the string into array keys

?>
<div id="content" class="grid-right col-728 fit">

	<?php if( have_posts() ) : ?>
		<?php while( have_posts() ) : the_post(); ?>

				<?php jumbo_get_breadcrumb_lists(); ?>

			<?php jumbo_entry_before(); ?>
			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<?php jumbo_entry_top(); ?>


				<?php if ( $td_static_page_title != 0 and !is_page( $td_page_exclude_title ) ) : // hide the title on specific pages even if "Static Page Title" option is set to On. ?>
					<h1 class="entry-title post-title"><?php the_title(); ?></h1>
				<?php endif; ?>

				<div class="post-meta">
						<?php jumbo_post_meta_data(); ?>

						<?php if( !post_password_required() and comments_open() ) : ?>
						<div class="td-entry-count-views">
							<span class="comments-link">
								<?php comments_popup_link( '<i class="fa fa-comment-o"></i> 0', '<i class="fa fa-comment-o"></i> 1', '<i class="fa fa-comment-o"></i> %' ); ?>
							</span>
						</div>
					<?php endif; ?>
				</div><?php // end of .post-meta  / ?>


				<div class="post-entry">
					<?php the_content( __jumbo_translate( 'read_more') ); ?>
					<?php wp_link_pages( array( 'before' => '<div class="pagination">' . __jumbo_translate( 'pages'), 'after' => '</div>' ) ); ?>
				</div><?php // end of .post-entry / ?>

				<?php if( comments_open() ) : ?>
					<div class="post-data">
						<?php the_tags( __jumbo_translate( 'tagged_with' ) . ' ', ', ', '<br />' ); ?>
						<?php the_category( __jumbo_translate( 'posted_in_cat' ) . ', ' ); ?>
					</div><?php // end of .post-data / ?>
				<?php endif; ?>

				<?php edit_post_link( __jumbo_translate( 'edit_post' ), '<div class="post-edit"> ', '</div>' ); ?>

				<?php jumbo_entry_bottom(); ?>
			</div><?php // end of #post-the_ID(); / ?>
			<?php jumbo_entry_after(); ?>

			<?php jumbo_comments_before(); ?>
			<?php comments_template( '', true ); ?>
			<?php jumbo_comments_after(); ?>

			<?php
			endwhile;
			get_template_part( 'loop-nav' );
			else :
				get_template_part( 'loop-no-posts' );
			endif;
			?>

</div><?php // end of #content / ?>

<?php get_sidebar( 'left' ); ?>
<?php get_footer(); ?>