<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}

/*----------------------------------------------------------------------------------------------------------
	Main Widget Template - we use PHP comments instead of HTML, to reduce the page size.
-----------------------------------------------------------------------------------------------------------*/


$layout = jumbo_get_layout();	//	Load the correct sidebar according to the page layout
switch ( $layout ) {

	case 'content-sidebar-page':
		get_sidebar( 'right' );
		return;
		break;

	case 'sidebar-content-page':
		get_sidebar( 'left' );
		return;
		break;

	case 'content-sidebar-half-page':
		get_sidebar( 'right-half' );
		return;
		break;

	case 'sidebar-content-half-page':
		get_sidebar( 'left-half' );
		return;
		break;

	case 'full-width-page':
		return;
		break;
}
?>
<?php jumbo_widgets_before(); // above widgets container hook ?>
	<div id="widgets" class="<?php echo implode( ' ', jumbo_get_sidebar_classes() ); ?>">

		<?php jumbo_widgets(); // above widgets hook ?>

			<?php
			if( is_active_sidebar( 'main-sidebar' ) ){
				dynamic_sidebar( 'main-sidebar' );
			}

			if( is_active_sidebar( 'sticky-sidebar' ) ){
				echo '<div class="td-sidebar-sticky">';
				dynamic_sidebar( 'sticky-sidebar' );
				echo '</div>';
			}
			?>


		<?php jumbo_widgets_end(); // after widgets hook ?>
	</div><?php // #widgets / ?>
<?php jumbo_widgets_after(); // after widgets container hook ?>